<div class="row">
	<div class="span11">
		<div class="span5">
			<div class="row">
				<table>
					<tr>
						<td style="vertical-align: top"><?php echo HTML::image('http://www.gth.bgo.co/logo-blue'); ?></td>
						<td style="text-align: right; font-weight: bold">
							<?php echo Company::instance()->name(); ?><br/>
							<?php echo Company::instance()->taxid(); ?><br/>
							<br/>
							<?php echo Company::instance()->address(); ?><br/>
							<br/>
							<?php echo Company::instance()->contacts(); ?>
						</td>
					</tr>
				</table>
			</div> <!-- /row -->
		</div> <!-- /span -->

		<div class="span5">
			<div class="row">
				<div class="dl-horizontal">
					<dt>Tax Invoice</dt>
					<dd><?php echo $o->id(); ?></dd>
					<dt>Issue Date</dt>
					<dd><?php echo $o->display('date_orig'); ?></dd>
					<dt>Due Date</dt>
					<dd><?php echo $o->display('due_date'); ?></dd>
					<dt>Current Charges</dt>
					<dd><?php echo $o->total_charges(TRUE); ?></dd>
					<dt>Payments Recieved</dt>
					<dd><?php echo $o->payments_total(TRUE); ?></dd>
					<dt>Credits Applied</dt>
					<dd><?php echo $o->total_credits(TRUE); ?></dd>
					<dt>Still Due</dt>
					<dd><?php echo $o->due(TRUE); ?></dd>
				</div>
			</div> <!-- /row -->
		</div> <!-- /span -->
	</div> <!-- /span -->
</div>

<div class="row">
	<div class="span11">
		<h4>Charge Details</h4>

		<div class="accordion" id="charges">
			<div class="accordion-group">

				<?php foreach ($o->items_index('period') as $rs => $items) : ?>
					<div class="accordion-heading">
						<a class="accordion-toggle" data-toggle="collapse" data-parent="#charges" data-target="#collapse_<?php echo $rs; ?>">
							<?php if ($rs) :
							printf('%s - %s service(s)',StaticList_RecurSchedule::get($rs),count($items));
							else :
							echo 'Other Items';
							endif ?>
						</a>
					</div>

					<?php if ($items) : ?>
						<div id="collapse_<?php echo $rs; ?>" class="accordion-body collapse in">
							<table>

								<?php
								foreach ($items as $k=>$service_id) :
									$i = 0;
									$lp = NULL;
									$ito_tax = NULL;

									foreach ($o->items_service($service_id) as $ito) {
											$ito_tax = $ito;
											// Our first line we show the Service Details
											if ($ito->item_type == 0 AND $ito->product_id != $lp) {
												$lp = $ito->product_id; ?>
												<!-- Service Information -->
												<tr class="head">
													<td><?php echo HTML::anchor(URL::link('user','service/view/'.$ito->service_id),$ito->service->id()); ?></td>
													<td colspan="5"><?php printf('%s - %s',$ito->product->title(),$ito->service->name()); ?> (<?php echo $ito->product_id; ?>)</td>
													<td class="right"><?php echo ($i++==0 ? Currency::display($o->items_service_total($ito->service_id)) : '&nbsp;');?></td>
												</tr>
												<!-- END Product Information -->
											<?php } ?>
											<!-- Product Sub Information -->
											<tr>
												<td>&nbsp;</td>
												<td><?php echo $ito->trannum();?></td>
												<td><?php echo $ito->name();?></td>
												<td><?php echo $ito->detail();?></td>
												<td><?php echo $ito->period();?></td>
												<td class="right"><?php echo Currency::display($ito->subtotal());?>&nbsp;</td>
											</tr>
											<!-- END Product Sub Information -->
											<!-- Service Discount Information -->
											<?php if ($ito->discount_amt) { ?>
												<tr>
													<td colspan="4">&nbsp;</td>
													<td><?php echo _('Discounts'); ?></td>
													<td class="right">(<?php echo Currency::display($o->items_service_discount($ito->service_id));?>)</td>
												</tr>
											<?php } ?>
										<!-- END Service Discount Information -->
								<?php } ?>

								<?php if ($ito_tax) { ?>
											<!-- Product Sub Items Tax -->
											<tr>
												<td colspan="4">&nbsp;</td>
												<td><?php echo _('Taxes'); ?></td>
												<td class="right"><?php echo Currency::display($o->items_service_tax($ito->service_id));?>&nbsp;</td>
											</tr>
											<!-- END Product Sub Items Tax -->
									<?php } ?>
								<?php endforeach ?>
							<?php endif ?>

						</table>
					</div>
				<?php endforeach ?>

				<?php if ($o->items_index('account')) : ?>
						<div class="accordion-heading">
							<a class="accordion-toggle" data-toggle="collapse" data-parent="#charges" data-target="#collapse_other">Other Items</a>
						</div>

						<div id="collapse_<?php echo $rs; ?>" class="accordion-body collapse">
							<table>

								<?php foreach ($o->items_index('account') as $id => $ito) : ?>
										<tr>
											<td>&nbsp;</td>
											<td><?php echo $ito->trannum();?></td>
											<td><?php echo $ito->name();?></td>
											<td><?php echo $ito->detail();?></td>
											<td><?php echo $ito->period();?></td>
											<td class="right"><?php echo Currency::display($ito->subtotal());?>&nbsp;</td>
										</tr>
										<!-- Product Sub Items Tax -->
										<tr>
											<td colspan="4">&nbsp;</td>
											<td><?php echo _('Taxes'); ?></td>
											<td class="right"><?php echo Currency::display($o->items_service_tax($ito->service_id));?>&nbsp;</td>
										</tr>
										<!-- Product End Sub Items Tax -->
								<?php endforeach ?>

							</table>
						</div>
				<?php endif ?>

			</div>
		</div>

	</div> <!-- /span -->
</div>

<div class="row">
	<div class="span11">
		<div class="span5">
		</div> <!-- /span -->

		<div class="span5">
			<div class="row">
				<div class="dl-horizontal">
					<!-- Sub Total -->
					<dt>Sub Total</dt>
					<dd><?php echo $o->subtotal(TRUE); ?></dd>
					<!-- END Invoice Sub Total -->

					<!-- Invoice Credits -->
					<?php if ($o->total_credits()) : ?>
						<dt>Credits</dt>
						<dd><?php echo $o->total_credits(TRUE); ?></dd>
					<?php endif ?>
					<!-- END Invoice Credits -->

					<!-- Invoice Discounts Total -->
					<?php if ($o->total_discounts()) : ?>
						<dt>Discounts</dt>
						<dd><?php echo $o->total_discounts(TRUE); ?></dd>
					<?php endif ?>
					<!-- END Invoice Discounts Total -->

					<!-- Invoice Taxes Total -->
					<dt>Taxes Included:</dt>
					<?php foreach ($o->tax_summary() as $tid => $amount) :
						$m = ORM::factory('Tax',$tid); ?>
						<dd><?php printf('%s (%s)',Currency::display($amount),$m->description); ?><dd>
					<?php endforeach ?>
					<!-- END Invoice Taxes Total -->

					<!-- Invoice Total -->
					<dt>Total This Invoice:</dt>
					<dd><?php echo $o->total(TRUE); ?></dd>
					<!-- END Invoice Total -->
					<!-- Account Total Due -->
					<dt>Total Outstanding This Account:</dt>
					<dd><?php echo $o->account->invoices_due_total(NULL,TRUE); ?></dd>
					<!-- END Account Total Due -->

				</div>
			</div> <!-- /row -->
		</div> <!-- /span -->
	</div> <!-- /span -->
</div>

<?php echo Form::button(URL::link('user','invoice/download/'.$o->id),'Download detailed invoice',array('class'=>'btn btn-primary pull-right')); ?></td>
